pgpginbyproc.d(1m)

NAME
pgpginbyproc.d - pages pagedin by process name. Uses DTrace.

SYNOPSIS
pgpginbyproc.d

DESCRIPTION
pgpginbyproc.d is a DTrace OneLiner to a report the number of pages paged in by process name. This may be one way to help identify the process responsible for causing heavy read traffic to the disks. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the vminfo provider.

EXAMPLES

This samples until Ctrl-C is hit.
    # pgpginbyproc.d

FIELDS

first field
    The process name. There may be several PIDs that have the same process name, for example with numerous instances of "bash". The value reported will be the sum of them all.

second field
    The number of pages paged in

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
pgpginbyproc.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
iosnoop(1m), dtrace(1M), truss(1)